<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWhatsappSupportMessagesTable extends Migration
{

    public function up()
    {
        Schema::create('whatsapp_support_messages', function (Blueprint $table) {
            $table->id();
            $table->text('message')->nullable();
            $table->string('ip')->nullable();
            $table->string('number')->nullable();
            $table->string('device_type')->nullable();
            $table->string('os')->nullable();
            $table->string('browser')->nullable();
            $table->integer('lms_id')->default(1);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('whatsapp_support_messages');
    }
}
